summaryrefslogtreecommitdiff
path: root/support-files/MacOSX/postflight.sh
diff options
context:
space:
mode:
authorunknown <lenz@mysql.com>2005-08-11 20:23:12 +0200
committerunknown <lenz@mysql.com>2005-08-11 20:23:12 +0200
commited0d295e3a2b6af960a64b3cbeacf024c2484635 (patch)
treef2838465246eeec0515e51cb44717ab8dbb647ce /support-files/MacOSX/postflight.sh
parent8c5e6af57d519005125f6b6c2e886d9b9237ef29 (diff)
downloadmariadb-git-ed0d295e3a2b6af960a64b3cbeacf024c2484635.tar.gz
- Fix for BUG#11380 (as recommened by JimW): renamed the preinstall/postinstall scripts to
preflight/postflight instead, so they are run every time a PKG is installed, not only for a fresh installation support-files/MacOSX/Makefile.am: - Fix for BUG#11380 (as recommened by JimW): renamed the preinstall/postinstall scripts to preflight/postflight instead, so they are run every time, not only for a fresh installation support-files/MacOSX/postflight.sh: - Fix for BUG#11380 (as recommened by JimW): renamed the preinstall/postinstall scripts to preflight/postflight instead, so they are run every time, not only for a fresh installation support-files/MacOSX/preflight.sh: - Fix for BUG#11380 (as recommened by JimW): renamed the preinstall/postinstall scripts to preflight/postflight instead, so they are run every time, not only for a fresh installation - fixed comment typo
Diffstat (limited to 'support-files/MacOSX/postflight.sh')
-rw-r--r--support-files/MacOSX/postflight.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/support-files/MacOSX/postflight.sh b/support-files/MacOSX/postflight.sh
new file mode 100644
index 00000000000..df3cd419360
--- /dev/null
+++ b/support-files/MacOSX/postflight.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# postfligh - this script will be executed after the MySQL PKG
+# installation has been performed.
+#
+# This script will install the MySQL privilege tables using the
+# "mysql_install_db" script and will correct the ownerships of these files
+# afterwards.
+#
+
+if cd @prefix@ ; then
+ if [ ! -f data/mysql/db.frm ] ; then
+ ./scripts/mysql_install_db -IN-RPM
+ fi
+
+ if [ -d data ] ; then
+ chown -R @MYSQLD_USER@ data
+ fi
+else
+ exit $?
+fi